Package org.eclipse.equinox.http.servlet.internal

# Class HttpServiceRuntimeImpl.LegacyFilterFactory

java.lang.Object
org.eclipse.equinox.http.servlet.internal.HttpServiceRuntimeImpl.LegacyFilterFactory

All Implemented Interfaces:
  `PrototypeServiceFactory<javax.servlet.Filter>`, `ServiceFactory<javax.servlet.Filter>`

Enclosing class:
  `HttpServiceRuntimeImpl`

public static class HttpServiceRuntimeImpl.LegacyFilterFactory extends Object implements PrototypeServiceFactory<javax.servlet.Filter>

## Constructor Summary

Constructors
Constructor
Description
`LegacyFilterFactory(javax.servlet.Filter filter)`

## Method Summary

Modifier and Type
Method
Description
`void`
`checkForError()`
`javax.servlet.Filter`
`getService(Bundle bundle, ServiceRegistration<javax.servlet.Filter> registration)`
`void`
`ungetService(Bundle bundle, ServiceRegistration<javax.servlet.Filter> registration, javax.servlet.Filter service)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegacyFilterFactory

public LegacyFilterFactory(javax.servlet.Filter filter)

## Method Details

### getService

public javax.servlet.Filter getService(Bundle bundle, ServiceRegistration<javax.servlet.Filter> registration)

Specified by:
  `getService` in interface `PrototypeServiceFactory<javax.servlet.Filter>`
Specified by:
  `getService` in interface `ServiceFactory<javax.servlet.Filter>`

### ungetService

public void ungetService(Bundle bundle, ServiceRegistration<javax.servlet.Filter> registration, javax.servlet.Filter service)

Specified by:
  `ungetService` in interface `PrototypeServiceFactory<javax.servlet.Filter>`
Specified by:
  `ungetService` in interface `ServiceFactory<javax.servlet.Filter>`

### checkForError

public void checkForError()